---
metadata:
  - name: generator
    content: Diplodoc Platform v5.63.0
alternate:
  - https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1CitizenshipsList.md
  - https://fleet.yandex.ru/docs/api/ru/openapi/ContractorProfiles/v1CitizenshipsList.md
  - href: https://fleet.yandex.ru/docs/api/en/openapi/ContractorProfiles/v1CitizenshipsList.md
    type: text/markdown
    title: Markdown version
  - href: https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713
    rel: describedby
---
> **Documentation Index:** Fetch the complete configuration index at https://fleet.yandex.ru/docs/api/en/llms.txt?revision=r21515713

<div class="openapi">

#  List of citizenships available for hiring Eats couriers in a specified region 

<!-- markdownlint-disable-file -->

 Getting the list of contractor citizenships available for Eats hiring in the given region 

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://fleet-api.taxi.yandex.net/v1/eats/citizenships/list
```

</div>

</div>

</div>

### Headers

#|
|| **Name** | **Description** ||
||

_Accept-Language_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Preferred language of the response 

_Min length:_{.json-schema-reset .json-schema-assertion} `2`

_Example:_{.json-schema-reset .json-schema-example} `ru`
{.table-cell}
||
||

_X-API-Key_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 API-key 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<API key>`
{.table-cell}
||
||

_X-Client-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Client ID 

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Example:_{.json-schema-reset .json-schema-example} `<Client ID>`
{.table-cell}
||
||

_X-Park-ID_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Partner ID 

_Example:_{.json-schema-reset .json-schema-example} `ee6f33c4562b4e1f8646d157bd70b2c4`
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "employment_type": "park_direct",
  "geobase_id": 1
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_employment_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms) 

_Enum:_{.json-schema-reset .json-schema-value} `park_direct`, `courier_service`
{.table-cell}
||
||

_geobase_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

 Region identifier in the geobase. Citizenships unavailable in the given region for the selected employment type will not be returned 
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

 List of citizenships available for Eats hiring 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "citizenships": [
    {
      "citizenship_code2": "RU",
      "name": "Russian Federation"
    }
  ]
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_citizenships_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [Citizenship](#entity-Citizenship)[]

 List of contractor citizenships available for Eats hiring. Citizenships are sorted by the 'name' field 

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "citizenship_code2": "RU",
    "name": "Russian Federation"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### Citizenship {#entity-Citizenship}

#|
|| **Name** | **Description** ||
||

_citizenship_code2_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Country code in ISO 3166-1 alpha-2 format 

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[A-Z]{2}$`

_Example:_{.json-schema-reset .json-schema-example} `RU`
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Localized citizenship name 

_Example:_{.json-schema-reset .json-schema-example} `Russian Federation`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "citizenship_code2": "RU",
  "name": "Russian Federation"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__400">

## 400 Bad Request

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

<div class="openapi__response__code__422">

## 422 Unprocessable Entity

 Invalid request parameters 

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "code": "example",
  "message": "Textual description of the error"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_message_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

 Human-readable error message 

_Example:_{.json-schema-reset .json-schema-example} `Textual description of the error`
{.table-cell}
||
||

_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

 Machine-readable error code 

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.